Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class CreateLaunchConfigurationRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.autoscaling.model.CreateLaunchConfigurationRequest

    public class CreateLaunchConfigurationRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreateLaunchConfiguration operation`.

Creates a new launch configuration. Once created, the new launch configuration is available for immediate use.

NOTE: The launch configuration name used must be unique, within the scope of the client's AWS account, and the maximum limit of launch configurations must not yet have been met, or else the call will fail.

See Also:
  `AmazonAutoScaling.createLaunchConfiguration(CreateLaunchConfigurationRequest)`

Constructor Summary
`CreateLaunchConfigurationRequest()`

Method Summary
`List<BlockDeviceMapping>` | `getBlockDeviceMappings()` Specifies how block devices are exposed to the instance.
`String` | `getImageId()` Unique ID of the Amazon Machine Image (AMI) which was assigned during registration.
`String` | `getInstanceType()` The instance type of the EC2 instance.
`String` | `getKernelId()` The ID of the kernel associated with the EC2 AMI.
`String` | `getKeyName()` The name of the EC2 key pair.
`String` | `getLaunchConfigurationName()` The name of the launch configuration to create.
`String` | `getRamdiskId()` The ID of the RAM disk associated with the EC2 AMI.
`List<String>` | `getSecurityGroups()` A list of names of the security groups with which to associate EC2 instances.
`String` | `getUserData()` The user data available to the launched EC2 instances.
`void` | `setBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)` Specifies how block devices are exposed to the instance.
`void` | `setImageId(String imageId)` Unique ID of the Amazon Machine Image (AMI) which was assigned during registration.
`void` | `setInstanceType(String instanceType)` The instance type of the EC2 instance.
`void` | `setKernelId(String kernelId)` The ID of the kernel associated with the EC2 AMI.
`void` | `setKeyName(String keyName)` The name of the EC2 key pair.
`void` | `setLaunchConfigurationName(String launchConfigurationName)` The name of the launch configuration to create.
`void` | `setRamdiskId(String ramdiskId)` The ID of the RAM disk associated with the EC2 AMI.
`void` | `setSecurityGroups(Collection<String> securityGroups)` A list of names of the security groups with which to associate EC2 instances.
`void` | `setUserData(String userData)` The user data available to the launched EC2 instances.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateLaunchConfigurationRequest` | `withBlockDeviceMappings(BlockDeviceMapping... blockDeviceMappings)` Specifies how block devices are exposed to the instance.
`CreateLaunchConfigurationRequest` | `withBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)` Specifies how block devices are exposed to the instance.
`CreateLaunchConfigurationRequest` | `withImageId(String imageId)` Unique ID of the Amazon Machine Image (AMI) which was assigned during registration.
`CreateLaunchConfigurationRequest` | `withInstanceType(String instanceType)` The instance type of the EC2 instance.
`CreateLaunchConfigurationRequest` | `withKernelId(String kernelId)` The ID of the kernel associated with the EC2 AMI.
`CreateLaunchConfigurationRequest` | `withKeyName(String keyName)` The name of the EC2 key pair.
`CreateLaunchConfigurationRequest` | `withLaunchConfigurationName(String launchConfigurationName)` The name of the launch configuration to create.
`CreateLaunchConfigurationRequest` | `withRamdiskId(String ramdiskId)` The ID of the RAM disk associated with the EC2 AMI.
`CreateLaunchConfigurationRequest` | `withSecurityGroups(Collection<String> securityGroups)` A list of names of the security groups with which to associate EC2 instances.
`CreateLaunchConfigurationRequest` | `withSecurityGroups(String... securityGroups)` A list of names of the security groups with which to associate EC2 instances.
`CreateLaunchConfigurationRequest` | `withUserData(String userData)` The user data available to the launched EC2 instances.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateLaunchConfigurationRequest

    public CreateLaunchConfigurationRequest()

Method Detail

### getLaunchConfigurationName

    public String getLaunchConfigurationName()

  The name of the launch configuration to create.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    The name of the launch configuration to create.

### setLaunchConfigurationName

    public void setLaunchConfigurationName(String launchConfigurationName)

  The name of the launch configuration to create.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `launchConfigurationName` - The name of the launch configuration to create.

### withLaunchConfigurationName

    public CreateLaunchConfigurationRequest withLaunchConfigurationName(String launchConfigurationName)

  The name of the launch configuration to create.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `launchConfigurationName` - The name of the launch configuration to create.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getImageId

    public String getImageId()

  Unique ID of the Amazon Machine Image (AMI) which was assigned during registration. For more information about Amazon EC2 images, please see Amazon EC2 product documentation

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Unique ID of the Amazon Machine Image (AMI) which was assigned during registration. For more information about Amazon EC2 images, please see Amazon EC2 product documentation

### setImageId

    public void setImageId(String imageId)

  Unique ID of the Amazon Machine Image (AMI) which was assigned during registration. For more information about Amazon EC2 images, please see Amazon EC2 product documentation

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `imageId` - Unique ID of the Amazon Machine Image (AMI) which was assigned during registration. For more information about Amazon EC2 images, please see Amazon EC2 product documentation

### withImageId

    public CreateLaunchConfigurationRequest withImageId(String imageId)

  Unique ID of the Amazon Machine Image (AMI) which was assigned during registration. For more information about Amazon EC2 images, please see Amazon EC2 product documentation

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `imageId` - Unique ID of the Amazon Machine Image (AMI) which was assigned during registration. For more information about Amazon EC2 images, please see Amazon EC2 product documentation
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKeyName

    public String getKeyName()

  The name of the EC2 key pair.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    The name of the EC2 key pair.

### setKeyName

    public void setKeyName(String keyName)

  The name of the EC2 key pair.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `keyName` - The name of the EC2 key pair.

### withKeyName

    public CreateLaunchConfigurationRequest withKeyName(String keyName)

  The name of the EC2 key pair.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `keyName` - The name of the EC2 key pair.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSecurityGroups

    public List<String> getSecurityGroups()

  A list of names of the security groups with which to associate EC2 instances. For more information about Amazon EC2 security groups, please see Amazon EC2 product documentation

  Returns:
    A list of names of the security groups with which to associate EC2 instances. For more information about Amazon EC2 security groups, please see Amazon EC2 product documentation

### setSecurityGroups

    public void setSecurityGroups(Collection<String> securityGroups)

  A list of names of the security groups with which to associate EC2 instances. For more information about Amazon EC2 security groups, please see Amazon EC2 product documentation

  Parameters:
    `securityGroups` - A list of names of the security groups with which to associate EC2 instances. For more information about Amazon EC2 security groups, please see Amazon EC2 product documentation

### withSecurityGroups

    public CreateLaunchConfigurationRequest withSecurityGroups(String... securityGroups)

  A list of names of the security groups with which to associate EC2 instances. For more information about Amazon EC2 security groups, please see Amazon EC2 product documentation

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `securityGroups` - A list of names of the security groups with which to associate EC2 instances. For more information about Amazon EC2 security groups, please see Amazon EC2 product documentation
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSecurityGroups

    public CreateLaunchConfigurationRequest withSecurityGroups(Collection<String> securityGroups)

  A list of names of the security groups with which to associate EC2 instances. For more information about Amazon EC2 security groups, please see Amazon EC2 product documentation

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `securityGroups` - A list of names of the security groups with which to associate EC2 instances. For more information about Amazon EC2 security groups, please see Amazon EC2 product documentation
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUserData

    public String getUserData()

  The user data available to the launched EC2 instances. For more information about Amazon EC2 user data, please see Amazon EC2 product documentation

  Constraints:
  Length: 0 - 21847
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    The user data available to the launched EC2 instances. For more information about Amazon EC2 user data, please see Amazon EC2 product documentation

### setUserData

    public void setUserData(String userData)

  The user data available to the launched EC2 instances. For more information about Amazon EC2 user data, please see Amazon EC2 product documentation

  Constraints:
  Length: 0 - 21847
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `userData` - The user data available to the launched EC2 instances. For more information about Amazon EC2 user data, please see Amazon EC2 product documentation

### withUserData

    public CreateLaunchConfigurationRequest withUserData(String userData)

  The user data available to the launched EC2 instances. For more information about Amazon EC2 user data, please see Amazon EC2 product documentation

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 0 - 21847
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `userData` - The user data available to the launched EC2 instances. For more information about Amazon EC2 user data, please see Amazon EC2 product documentation
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceType

    public String getInstanceType()

  The instance type of the EC2 instance. For more information about Amazon EC2 instance types, please see Amazon EC2 product documentation

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    The instance type of the EC2 instance. For more information about Amazon EC2 instance types, please see Amazon EC2 product documentation

### setInstanceType

    public void setInstanceType(String instanceType)

  The instance type of the EC2 instance. For more information about Amazon EC2 instance types, please see Amazon EC2 product documentation

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `instanceType` - The instance type of the EC2 instance. For more information about Amazon EC2 instance types, please see Amazon EC2 product documentation

### withInstanceType

    public CreateLaunchConfigurationRequest withInstanceType(String instanceType)

  The instance type of the EC2 instance. For more information about Amazon EC2 instance types, please see Amazon EC2 product documentation

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `instanceType` - The instance type of the EC2 instance. For more information about Amazon EC2 instance types, please see Amazon EC2 product documentation
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKernelId

    public String getKernelId()

  The ID of the kernel associated with the EC2 AMI.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    The ID of the kernel associated with the EC2 AMI.

### setKernelId

    public void setKernelId(String kernelId)

  The ID of the kernel associated with the EC2 AMI.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `kernelId` - The ID of the kernel associated with the EC2 AMI.

### withKernelId

    public CreateLaunchConfigurationRequest withKernelId(String kernelId)

  The ID of the kernel associated with the EC2 AMI.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `kernelId` - The ID of the kernel associated with the EC2 AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRamdiskId

    public String getRamdiskId()

  The ID of the RAM disk associated with the EC2 AMI.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    The ID of the RAM disk associated with the EC2 AMI.

### setRamdiskId

    public void setRamdiskId(String ramdiskId)

  The ID of the RAM disk associated with the EC2 AMI.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `ramdiskId` - The ID of the RAM disk associated with the EC2 AMI.

### withRamdiskId

    public CreateLaunchConfigurationRequest withRamdiskId(String ramdiskId)

  The ID of the RAM disk associated with the EC2 AMI.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `ramdiskId` - The ID of the RAM disk associated with the EC2 AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBlockDeviceMappings

    public List<BlockDeviceMapping> getBlockDeviceMappings()

  Specifies how block devices are exposed to the instance. Each mapping is made up of a VirtualName and a DeviceName. For more information about Amazon EC2 BlockDeviceMappings, please see Amazon EC2 product documentation

  Returns:
    Specifies how block devices are exposed to the instance. Each mapping is made up of a VirtualName and a DeviceName. For more information about Amazon EC2 BlockDeviceMappings, please see Amazon EC2 product documentation

### setBlockDeviceMappings

    public void setBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)

  Specifies how block devices are exposed to the instance. Each mapping is made up of a VirtualName and a DeviceName. For more information about Amazon EC2 BlockDeviceMappings, please see Amazon EC2 product documentation

  Parameters:
    `blockDeviceMappings` - Specifies how block devices are exposed to the instance. Each mapping is made up of a VirtualName and a DeviceName. For more information about Amazon EC2 BlockDeviceMappings, please see Amazon EC2 product documentation

### withBlockDeviceMappings

    public CreateLaunchConfigurationRequest withBlockDeviceMappings(BlockDeviceMapping... blockDeviceMappings)

  Specifies how block devices are exposed to the instance. Each mapping is made up of a VirtualName and a DeviceName. For more information about Amazon EC2 BlockDeviceMappings, please see Amazon EC2 product documentation

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `blockDeviceMappings` - Specifies how block devices are exposed to the instance. Each mapping is made up of a VirtualName and a DeviceName. For more information about Amazon EC2 BlockDeviceMappings, please see Amazon EC2 product documentation
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withBlockDeviceMappings

    public CreateLaunchConfigurationRequest withBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)

  Specifies how block devices are exposed to the instance. Each mapping is made up of a VirtualName and a DeviceName. For more information about Amazon EC2 BlockDeviceMappings, please see Amazon EC2 product documentation

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `blockDeviceMappings` - Specifies how block devices are exposed to the instance. Each mapping is made up of a VirtualName and a DeviceName. For more information about Amazon EC2 BlockDeviceMappings, please see Amazon EC2 product documentation
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.